# $Revision: 1.39 $, $Date: 2007-12-18 17:23:05 $
# TODO
#  - kde html docs are empty
#
Summary:	ClamAV Anti-Virus protection for the KDE desktop
Summary(pl.UTF-8):	Antywirus ClamAV dla środowiska KDE
Summary(ru.UTF-8):	KDE-оболочка для антивирусного сканера Clam AntiVirus
Name:		klamav
Version:	0.41
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/klamav/%{name}-%{version}-source.tar.gz
# Source0-md5:	4878b88f6b069dcef0f5825f9bca624a
Patch0:		%{name}-desktop.patch
URL:		http://klamav.sourceforge.net/
BuildRequires:	automake
BuildRequires:	clamav-devel >= 0.90
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClamAV Anti-Virus protection for the KDE desktop. It includes:
- 'On Access' Scanning
- Manual Scanning
- Quarantine Management
- Downloading Updates
- Mail Scanning (KMail/Evolution)

%description -l pl.UTF-8
Antywirus ClamAV dla środowiska KDE. Zawiera:
- skanowanie przy dostępie
- ręczne skanowanie
- obsługę kwarantanny
- ściąganie uaktualnień
- skanowanie poczty (KMail/Evolution).

%prep
%setup -q -n %{name}-%{version}-source
#%patch0 -p1

%build
cd %{name}-%{version}
cp -f /usr/share/automake/config.sub admin
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
cd %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_bindir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/klamav.desktop $RPM_BUILD_ROOT%{_desktopdir}
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}/%{name}.lang
%defattr(644,root,root,755)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/ChangeLog %{name}-%{version}/INSTALL %{name}-%{version}/NEWS %{name}-%{version}/README %{name}-%{version}/TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/apps/%{name}
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/config.kcfg/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: klamav.spec,v $
Revision 1.39  2007-12-18 17:23:05  glen
- rel 2

Revision 1.38  2007-02-27 20:17:54  shadzik
- up to 0.41
- clamav BR updated to stable version
- rel 1

Revision 1.37  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.35  2007/01/03 21:00:05  shadzik
- fix %files

Revision 1.34  2007/01/03 18:44:44  shadzik
- ups, go to proper directory when executing make install

Revision 1.33  2007/01/03 16:30:45  shadzik
- since clamav 0.9x isn't yet stable, BR full version with release (rc2)

Revision 1.32  2007/01/02 22:35:54  shadzik
- start playin with version 0.40
- NFY

Revision 1.31  2007/01/02 22:06:28  shadzik
- kill unnedded R

Revision 1.30  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.29  2006/09/17 11:34:07  rotom
- up to 0.38

Revision 1.28  2006/07/15 21:14:57  adamg
- few more files

Revision 1.27  2006/05/15 08:32:03  ankry
- KOI8-R is default

Revision 1.26  2006/05/15 07:53:21  paszczus
- updated to 0.37 ; works fine, release 1

Revision 1.25  2006/02/10 19:21:46  adamg
- updated to 0.35.1
- release 0.1; testing ...

Revision 1.24  2005/11/28 15:16:09  paszczus
- updated to 0.32

Revision 1.23  2005/09/05 07:23:16  adamg
- cleanup
- release 1

Revision 1.22  2005/09/05 07:12:08  adamg
- updated to 0.26
- dropped -paths.patch (seems obsolete)
- do apply -desktop.patch (who turned it off?)
- install locales

Revision 1.21  2005/08/01 22:50:12  paszczus
- updated to 0.22.1

Revision 1.20  2005/06/25 20:26:17  blekot
- only hicolor icons

Revision 1.19  2005/06/05 22:07:44  paszczus
- updated to 0.20

Revision 1.18  2005/05/17 07:33:04  glen
- TODO done (dazuko.spec)

Revision 1.17  2005/05/17 06:51:32  ankry
- added desktop patch with fixes/enhancements, rel. 0.2

Revision 1.16  2005/04/20 15:40:32  glen
- remove brokenly disabled klammail configure (appears it's no longer needed at all)
- builds

Revision 1.15  2005/04/12 09:17:28  paszczus
- commented out klammail

Revision 1.14  2005/04/12 09:15:21  paszczus
- updated TODO

Revision 1.13  2005/04/12 09:13:56  paszczus
- do not use _klammail_ver

Revision 1.12  2005/04/12 09:04:31  paszczus
- better sf URL

Revision 1.11  2005/04/12 09:04:16  paszczus
- updated to 0.17

Revision 1.10  2005/02/24 23:40:11  aniolek
- updated to 0.13

Revision 1.9  2005/02/14 08:43:35  paszczus
- updated to 0.12
- release 0.1

Revision 1.8  2005/01/09 16:33:30  adamg
- updated to 0.09.1

Revision 1.7  2005/01/03 16:05:03  glen
- use macro for klammail version

Revision 1.6  2005/01/03 15:38:43  adamg
- refresh config.sub in one more dir

Revision 1.5  2005/01/03 15:30:59  qboosh
- pl, removed features unrelated to binary RPM

Revision 1.4  2005/01/03 14:17:48  adamg
- refresh config.sub, BR: automake

Revision 1.3  2005/01/02 20:25:39  glen
- add default stuff from kdepackage-template.spec
- package klammail-
- add ru_RU Summary (from altlinux)
- put klamav to applications submenu
- package missing icons
- pld default paths (patch0)

Revision 1.2  2005/01/01 21:39:42  paszczus
- added 2 docs

Revision 1.1  2005/01/01 12:29:34  paszczus
- initial spec
